#!/usr/bin/env node
import m from "yargs";
import { hideBin as l } from "yargs/helpers";
import { PublishModeEnum as s } from "./utils/types.mjs";
import { handler as t } from "./handler.mjs";
import n from "chalk";
import i from "./injectInfo.json.mjs";
const d = () => ({
  mode: {
    alias: "m",
    describe: "发布模式",
    choices: [s.NPM, s.WEB],
    default: s.NPM
  },
  type: {
    alias: "t",
    describe: "发布类型",
    choices: ["major", "minor", "patch"],
    default: "patch"
  },
  push: {
    alias: "p",
    describe: "是否推送至远程仓库",
    type: "boolean",
    default: !0
  }
}), r = i.cliConfig.moduleName, p = (o, e) => {
  console.log(o ? n.red(o) : n.red(e.message)), process.exit(1);
}, u = i.description, f = `Usage: $0 ${r} [options]`, g = "Usage: $0 [options]", a = (o, e) => {
  const c = d();
  return o.strict().usage(e).help("help").version(i.version).alias("v", "version").alias("h", "help").options(c).fail(p).argv;
}, h = (o) => a(o, f), M = {
  command: r,
  describe: u,
  builder: h,
  handler: t
}, P = async () => {
  const o = m(l(process.argv)), e = await a(o, g);
  return t(e);
};
export {
  M as command,
  P as createCli
};
